Author Topic: Beta 2 post install errors on 1st run  (Read 1110 times)

jporkkahtc

  • Senior Community Member
  • Posts: 1884
  • Hero Points: 183
  • Text
Beta 2 post install errors on 1st run
« on: July 30, 2016, 09:47:34 pm »

On first run it copied  20.0.3 configuration to 21.0.0.
Then I got these three error messages.
No errors when I restart slick again.


---------------------------
SlickEdit Pro
---------------------------
Unable to set alt menu hotkeys.


Error probably caused by missing macro compiler or incorrect macro compiler version.
---------------------------
OK   
---------------------------




---------------------------
SlickEdit Pro
---------------------------
Unable to load module 'C:\Users\joe\Documents\Slickedit\21.0.0\HighlightDialog.e'.  Incorrect version
---------------------------
OK   
---------------------------


---------------------------
SlickEdit Pro
---------------------------
There were errors loading the following user modules (from def_macfiles).


COMPILE ERROR:   C:\Users\joe\Documents\Slickedit\21.0.0\HighlightDialog.e


---------------------------
OK   
---------------------------


Clark

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 5041
  • Hero Points: 418
Re: Beta 2 post install errors on 1st run
« Reply #1 on: August 01, 2016, 01:30:15 am »
Reproduced "unable to set alt mentu hotkeys" error

Fixed for beta 3

The problem is the date on the .ex files is older than the .e file so it's trying to compile it but gets access denied. Fix was to not attempt a compile if the .ex file can't be written to.